Package org.apache.any23.vocab

## Class LKIFCoreLegalAction

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.LKIFCoreLegalAction

-     public class LKIFCoreLegalAction
      extends Vocabulary

  An implementation of the lkif-core vocabulary which is a library of ontologies relevant for the legal domain. The library consists of 15 modules, each of which describes a set of closely related concepts from both legal and commonsense domains.

  The legal action module extends the action module with a number of legal concepts related to action and agent, such as public acts, public bodies, legal person, natural person etc.

  Author:
    lewismc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `Act_of_Law` |
    `org.eclipse.rdf4j.model.IRI` | `Assignment` |
    `org.eclipse.rdf4j.model.IRI` | `Association` |
    `org.eclipse.rdf4j.model.IRI` | `Co_operative` |
    `org.eclipse.rdf4j.model.IRI` | `Company` |
    `org.eclipse.rdf4j.model.IRI` | `Corporation` |
    `org.eclipse.rdf4j.model.IRI` | `Decision` |
    `org.eclipse.rdf4j.model.IRI` | `Delegation` |
    `org.eclipse.rdf4j.model.IRI` | `Foundation` |
    `org.eclipse.rdf4j.model.IRI` | `Incorporated` |
    `org.eclipse.rdf4j.model.IRI` | `Legal_Person` |
    `org.eclipse.rdf4j.model.IRI` | `Legal_Speech_Act` |
    `org.eclipse.rdf4j.model.IRI` | `Legislative_Body` |
    `org.eclipse.rdf4j.model.IRI` | `Limited_Company` |
    `org.eclipse.rdf4j.model.IRI` | `Mandate` |
    `org.eclipse.rdf4j.model.IRI` | `Natural_Person` |
    `static String` | `NS` | The namespace of the vocabulary as a string.
    `org.eclipse.rdf4j.model.IRI` | `Private_Legal_Person` |
    `org.eclipse.rdf4j.model.IRI` | `Public_Act` |
    `org.eclipse.rdf4j.model.IRI` | `Public_Body` |
    `org.eclipse.rdf4j.model.IRI` | `Public_Limited_Company` |
    `org.eclipse.rdf4j.model.IRI` | `Society` |
    `org.eclipse.rdf4j.model.IRI` | `Unincorporated` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LKIFCoreLegalAction` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      The namespace of the vocabulary as a string.
      See Also:
        Constant Field Values

    - #### Limited_Company

          public final org.eclipse.rdf4j.model.IRI Limited_Company

    - #### Private_Legal_Person

          public final org.eclipse.rdf4j.model.IRI Private_Legal_Person

    - #### Society

          public final org.eclipse.rdf4j.model.IRI Society

    - #### Natural_Person

          public final org.eclipse.rdf4j.model.IRI Natural_Person

    - #### Mandate

          public final org.eclipse.rdf4j.model.IRI Mandate

    - #### Corporation

          public final org.eclipse.rdf4j.model.IRI Corporation

    - #### Legal_Person

          public final org.eclipse.rdf4j.model.IRI Legal_Person

    - #### Public_Body

          public final org.eclipse.rdf4j.model.IRI Public_Body

    - #### Foundation

          public final org.eclipse.rdf4j.model.IRI Foundation

    - #### Co_operative

          public final org.eclipse.rdf4j.model.IRI Co_operative

    - #### Legislative_Body

          public final org.eclipse.rdf4j.model.IRI Legislative_Body

    - #### Delegation

          public final org.eclipse.rdf4j.model.IRI Delegation

    - #### Legal_Speech_Act

          public final org.eclipse.rdf4j.model.IRI Legal_Speech_Act

    - #### Public_Act

          public final org.eclipse.rdf4j.model.IRI Public_Act

    - #### Company

          public final org.eclipse.rdf4j.model.IRI Company

    - #### Decision

          public final org.eclipse.rdf4j.model.IRI Decision

    - #### Public_Limited_Company

          public final org.eclipse.rdf4j.model.IRI Public_Limited_Company

    - #### Incorporated

          public final org.eclipse.rdf4j.model.IRI Incorporated

    - #### Act_of_Law

          public final org.eclipse.rdf4j.model.IRI Act_of_Law

    - #### Association

          public final org.eclipse.rdf4j.model.IRI Association

    - #### Assignment

          public final org.eclipse.rdf4j.model.IRI Assignment

    - #### Unincorporated

          public final org.eclipse.rdf4j.model.IRI Unincorporated

  - ### Method Detail

    - #### getInstance

          public static LKIFCoreLegalAction getInstance()